#ifndef _PARSE_PINYIN_H_
#define _PARSE_PINYIN_H_

#include <glib.h>
#include "zero-pinyin-service.h"

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * parse preedit_str to groups of pinyin.
 * caller should free each Pinyin and the GList after use.
 */
GList* parse_pinyin (const char* preedit_str, const guint max_pinyin);

#ifdef __cplusplus
}
#endif

#endif /* _PARSE_PINYIN_H_ */
